Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003741opensim[REGION] OpenSim Corepublic2009-05-29 22:342009-10-09 08:07
ReporterBlueWall 
Assigned Tojustincc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003741: save oar fails on regions with more that a few objects
DescriptionSave oar hangs the console and doesn't finish on regions with more than a few prims. After testing svn versions between 9395 and 9702, the break seems to be at 9603. The last files written to my test oars are jp2, and report unexpected EOF when testing with tar.

This has been experienced in both Linux/64 with Mono 2.4 and Linux/32 with Mono 2.5
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentUnknown
Mono VersionOther
Viewer
Attached Filestxt file icon Error.txt [^] (6,068 bytes) 2009-06-06 06:17 [Show Content]
txt file icon jfhopkin.OAR.error.txt [^] (4,243 bytes) 2009-06-06 06:24 [Show Content]
log file icon Fredos.log [^] (604,713 bytes) 2009-06-08 00:41
rtf file icon wordfromthewise_mantis.rtf [^] (135,445 bytes) 2009-06-08 12:58

- Relationships
child of 0004173closedadministrator [OAR] 

-  Notes
(0011785)
thomax (reporter)
2009-05-30 22:12
edited on: 2009-05-30 22:15

hi,

i have a very similar issue, if not the same. but my console didn't get blocked. i suspect the cause in between Execute() and the callback routine set there AssetRequestCallback() in OpenSim/Region/CoreModules/World/Archiver/AssetsRequest.cs.

Execute() tells in m_repliesRequired it needs to archive N assets but in the callback routine m_foundAssetUuids.Count didn't reach it and m_notFoundAssetUuids.Count is always 0.

m_foundAssetUuids.Count comes very close to N but it's value may vary, stabilzes after some tries and in my case will reach N - 3 or N - 1 or N - 9...
but it always comes close to N, never reaches it.

i hope this helps a bit. i didn't checked m_assetCache.Get in the foreach loop in Execute() yet.

tx Oh

(0011786)
thomax (reporter)
2009-05-30 22:20

some feedback would be nice. i've asked some people but they seem to be fine with the written oar's...
(0011787)
NZ-Simpy (reporter)
2009-05-31 00:01

Hi there
I have just found I was having a problem with save oar as well

II get so far through saving an oar and it just stops... no messages no nothing..

I nearly lost 2 regions due to this, because I never noticed it had not finished and at a later stage tried reloading it which of course part way through failed..

Sorry I cannot be more specific but I new at this :)
(0011794)
LynMimistrobell (reporter)
2009-05-31 07:32

I'm having the same issue.

Version: OpenSim 0.6.5 (Dev) .9719 (interface version 4)
(0011804)
jfhopkin (reporter)
2009-05-31 17:07
edited on: 2009-06-01 04:42

I have the issue too, though like thomax, it doesn't lock the console. Of 11 regions, 2 of the largest (in terms of objects and normal OAR size) fail to complete.

v0.6.5.9700, Ubuntu Jaunty, Mono 2.2

(0011821)
LynMimistrobell (reporter)
2009-06-01 01:33

Mine (0.6.5.9719) is running on CentOs 5, 32 bits, Mono 2.4 by the way...

(Could someone raise the priority on this one?)
(0011829)
justincc (administrator)
2009-06-01 09:03

This might be alleviated in r9753. Feedback appreciated.
(0011833)
LynMimistrobell (reporter)
2009-06-01 09:45

On 0.6.5 r9753:

18:31:48 - [ARCHIVER]: Writing archive for region Starfleet Sector 004 to /opensim/Backups/Oar/sfs004new.oar
18:32:17 - [ARCHIVER]: 2562 scene objects to serialize requiring save of 1350 assets
18:32:17 - [ARCHIVER]: AssetsRequest executed looking for 1350 assets
18:32:17 - [ARCHIVER]: Added 50 assets to archive
18:32:18 - [ARCHIVER]: Added 100 assets to archive
...
18:38:04 - [ARCHIVER]: Added 1250 assets to archive
18:38:25 - [ARCHIVER]: Added 1300 assets to archive

Then nothing (for over 5 minutes). I have not tried to load the OAR file that was generated (afraid to lose my region)
(0011835)
BlueWall (administrator)
2009-06-01 10:28

LynMimistrobell you can use "tar tzf sfs004new.oar" to test the file
(0011838)
justincc (administrator)
2009-06-01 10:43

LynMimistrobell, are you seeing this problem on OSGrid, a private grid or on a standalone?
(0011841)
thomax (reporter)
2009-06-01 11:40
edited on: 2009-06-01 11:45

hello,

i'm on osgrid and the problem still exists. one sim with two regions. rev 9754.

whats new is, that when i do 'save oar bla.oar' two times i get an exception:

20:40:52 - Command error: System.IO.IOException: Sharing violation on path /home/thomax/opensim/bin/bla.oar
  at System.IO.FileStream..ctor (System.String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, Boolean anonymous, FileOptions options) [0x00000]

on the second try. but that doesn't help anyway :-)

tx Oh

(0011842)
justincc (administrator)
2009-06-01 12:04

OSGrid might be a unique issue since I don't think they're using the reference grid asset server bundled with OpenSim, so it's not impossible that they're not returning information on missing assets, or possibly there might even be some more subtle issue.

Either way, the oar save probably does need to better handle situations where some asset requests are lost. But I'd like to try and narrow the problem down a bit further first.

So has anybody on this thread seen the problem on their own private grid or even on a standalone?
(0011846)
BlueWall (administrator)
2009-06-01 12:32
edited on: 2009-06-01 12:36

I am having some mixed results on head with 9755 (osgrid)

When looking for the break point, I used a local UGAIM and region in grid mode with some imported oars for testing because of the recent UGIAM com version bump. And originally confirmed the issue on rev 9640 in another grid running 64 bit Linux Mono 2.4, after seeing it on osgrid. So, no, it doesn't appear to be an OSGrid-only issue.

Currently I have
    1 region that successfully writes out 41 assets,
    one that is successful with 740 assets,
    one that stops at 89 assets (texture.jp2 is last entry)

(0011847)
LynMimistrobell (reporter)
2009-06-01 12:52

gzip: stdin: unexpected end of file
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

I'm on osgrid. I did not see the violation error - or any other for that matter. It has worked previously (0.6.4 and if I recall correctly also on 0.6.5-post-fixes before r9700 became mandatory)
(0011853)
jfhopkin (reporter)
2009-06-01 16:07
edited on: 2009-06-01 16:16

Positive results here on r9754. Details as before, using OSGrid. Both the problem regions saved fine.

Perhaps worth noting is that 16 assets were not fetched for the larger of the two regions, and also that after a while the OAR saved very slowly indeed - towards the end, over 90 seconds for each 50 assets for 2900+ assets, on a single-core Pentium 3.6GHz/2GB. That may not be new - this is the first time I've been in a hurry.

(0011860)
LynMimistrobell (reporter)
2009-06-02 00:57

Just tested on 0.6.5 r9759: Same situation. Archiver stops after "Added 1300 assets to archive" (AssetsRequest executed looking for 1350 assets) and the OAR file is still corrupt (tar: Unexpected EOF in archive).
(0011878)
FredoChaplin (reporter)
2009-06-02 13:57

same behaviour under svn 9762 (ubuntu 8.04, mono 2.2, grid, 4 regions)
oar never ends, console locked, 16b oar file created.
(0011933)
WWWench (reporter)
2009-06-03 22:03
edited on: 2009-06-04 00:33

9774 hangs on load-oar 4 of 5 tries, timeouts often.
Suse 11.1 mono2.4+ OSGrid - MySql regions.

Win Net server, OSGrid on 9700 is much better , save and load but very slow compared to past months and versions.

All hosted, old or recent oars

(0011934)
BlueWall (administrator)
2009-06-03 22:23

Linux 9773 only creating 16 byte file, no further activity - hangs the console (-gui=true)
(0011995)
Zauber (reporter)
2009-06-05 06:22

I am seeing this on my VPS, which is running in 64bit Debian 5.0, Mono 2.4. I have seen this occur with revisions 9702 and 9772. I was planning to move my sims to a hypergrid-connected standalone because OSGrid is too much of a testing environment for me to run things in a stable manner.

And, in addition, I cannot revert to a revision with working OAR's, such as 9535, because OSGrid blocks revisions earlier than 9700 from connecting.
(0012002)
justincc (administrator)
2009-06-05 09:18

Okay, I believe this issue only occurs in grid mode when some assets referenced are missing.

This should now be fixed in r9792. However, the fix requires both asset server and region simulator to update to this revision. So those of you on OSGrid will have to wait a bit until they update.
(0012003)
justincc (administrator)
2009-06-05 09:43
edited on: 2009-06-05 09:44

Nebadon tells me that OSGrid should already be returning the correct response to not found assets, so in theory people on osgrid should already be able to upgrade to r9792 and everything will work.

(0012004)
nebadon (administrator)
2009-06-05 10:08

this is still happening on osgrid.org, my regions just freezes after 1 line of output from the oar and never recovers, I have reports from others on osgrid, this is still an issue.
(0012005)
BlueWall (administrator)
2009-06-05 10:45

No change form previous versions
(0012006)
thomax (reporter)
2009-06-05 10:59

works now.

no hangs, tar file get's closed, can import the backup on other regions.
i'm mostly satisfied.

for the 16byte thing i reference:

http://opensimulator.org/mantis/view.php?id=3589 [^]

"i tracked it down to the lock in GetAsset in OpenSim/Region/Framework/Scenes/UuidGatherer.cs
in my case it was a old script (begin of 2008) which i was able to identify by the uuid. it was an old sit target script. i couldn't load it in-world and i guess the GetAsset() function has more passion on wait for godot..

i deleted the script in-world, because of the server side wait for yday i restarted the sim and was able to do the overdue save oar.

a timeout for the lock might help and if timeout got hit a error log entry would be nice. maybe with the uuid."
(0012007)
LynMimistrobell (reporter)
2009-06-05 11:35

0.6.5 trunk, r9793: Successfully wrote an OAR, tested with "tar tzf <archive>" and found no errors.

(OSGrid, Mono 2.4, CentOS 5 - 32 bits, 1 region per simulator)

It reported 2 missing assets, out of 1417, but it didn't stop it creating the OAR file :)

20:31:36 - [ARCHIVER]: Successfully added 1415 assets (2 assets notified missing)
20:31:36 - [ARCHIVER]: Could not find asset 3892c42a-d620-43bb-9768-7ca399574199
20:31:36 - [ARCHIVER]: Could not find asset 39707567-f880-76ea-6861-0280c398621f
20:31:36 - [ARCHIVER]: Creating archive file. This may take some time.
20:31:36 - [ARCHIVER]: Added control file to archive.
20:31:36 - [ARCHIVER]: Added region settings to archive.
20:31:36 - [ARCHIVER]: Added terrain information to archive.
20:31:44 - [ARCHIVER]: Added scene objects to archive.
20:31:44 - [ARCHIVER]: Finished writing out OAR for Starfleet Sector 004

/me is happy :D
(0012009)
justincc (administrator)
2009-06-05 12:22

Thanks for reminding me of that, Thomax. I finally took a look at the area and spotted a very probably problem. So please try r9795 now.
(0012010)
justincc (administrator)
2009-06-05 12:23

This is actually a bug which is separate from the one I fixed earlier.
(0012011)
justincc (administrator)
2009-06-05 12:26

Alright, hold up a second, there's more I need to do. Current code will now generate an NRE *and* a freeze.
(0012012)
user903
2009-06-05 12:34

justincc committed related code in r9796

* A bug fix for the last mantis 3741 bugfix
* Hopefully now, the nre should not occur and the lock should be correctly unlocked during the initial save oar process

see more at - http://opensimulator.org/cgi-bin/viewvc.cgi?view=rev&revision=9796 [^]
(0012013)
justincc (administrator)
2009-06-05 12:34

ok, hopefully r9796 is better.
(0012014)
nebadon (administrator)
2009-06-05 13:55

SVN #9795
* A further fix for mantis 3641 (oar saves do not complete)

* For some reason, if a null was recieved (indicating a missing asset), the code had stopped passing that on to the waiting lock, resulting in a perpetual freeze
* This change passes the null on correctly
* Many thanks to thomax for being insistent in presenting his analysis of the problem :)

SVN #9796
* A bug fix for the last mantis 3741 bugfix
* Hopefully now, the nre should not occur and the lock should be correctly unlocked during the initial save oar process
(0012016)
RetroDan (reporter)
2009-06-06 01:24

Console locks up on larger Regions.
Oars under approx. 100MB seem ok.
Those over that size seem to lockup the console.

I am using r9785 under Windows XP.
(0012017)
thomax (reporter)
2009-06-06 01:27

have you tried a more recent (>= 9796) revision?
(0012025)
Zauber (reporter)
2009-06-06 06:18
edited on: 2009-06-06 06:22

I've uploaded a file (Error.txt) with the messages and errors that came after I ran the save oar command. My VPS is Debian 5.0 Linux x86_64, Mono 2.4.

(0012026)
jfhopkin (reporter)
2009-06-06 06:29

Another error for you, during the "save oar", uploaded in <jfhopkin.OAR.error.txt>, and it's seemingly during asset retrieval. Non-fatal; the save seems to have completed OK

Otherwise, no known problems on r9797, Ubuntu Jaunty, Mono 2.2, OSGrid.
(0012051)
FredoChaplin (reporter)
2009-06-08 00:40
edited on: 2009-06-08 00:42

I tried SVN 9810. (Ubuntu 8.04, Mono 2.5, grid, 4 regions)
Console no more locked and oar go to some end.
But many messages of missing assets, OAR save aborted.
Many exceptions like:

2009-06-08 09:03:59,334 WARN - OpenSim.Region.CoreModules.World.Archiver.AssetsRequest [ARCHIVER]: Received information about asset 89556747-24cb-43ed-920b-47caed15465f after archive save abortion. Ignoring.
2009-06-08 09:03:59,335 ERROR - OpenSim.Region.CoreModules.World.Archiver.AssetsRequest [ARCHIVER]: AssetRequestCallback failed with System.ObjectDisposedException: Cannot write to a closed BinaryWriter
  at System.IO.BinaryWriter.Write (System.Byte[] buffer) [0x00000]
  at OpenSim.Framework.Serialization.TarArchiveWriter.WriteEntry (System.String filePath, System.Byte[] data, Char fileType) [0x00000]
  at OpenSim.Framework.Serialization.TarArchiveWriter.WriteFile (System.String filePath, System.Byte[] data) [0x00000]
  at OpenSim.Region.CoreModules.World.Archiver.AssetsArchiver.WriteData (OpenSim.Framework.AssetBase asset) [0x00000]
  at OpenSim.Region.CoreModules.World.Archiver.AssetsArchiver.WriteAsset (OpenSim.Framework.AssetBase asset) [0x00000]
  at OpenSim.Region.CoreModules.World.Archiver.AssetsRequest.AssetRequestCallback (System.String id, System.Object sender, OpenSim.Framework.AssetBase asset) [0x00000]

At the end, console is ok, oar files are presents.
My main oar R0 is now about 3 times bigger (31Mb) as the last good oar saved 3 weeks ago (10Mb). Nothing changed in-world anyway.

Difficult to be very confident in the result !!!

(I'll load my log in this mantis for review)

(0012057)
WordfromtheWise (reporter)
2009-06-08 13:04
edited on: 2009-06-08 13:54

here the same .. i run Windows XP (from at home) with latest .net framework.
i use SQL lite .. all works perfect (sims , tp`s obkects on land etc)

wantet to upgrade to mysql and since .9700 up to today the .9801
i have same problems ...

i uploaded some log files and infos above
http://opensimulator.org/mantis/file_download.php?file_id=1834&type=bug [^]

basically the error message

19:08:37 - [ASYNC REQUEST]: Request GET http://assets.osgrid.org:8003/assets/e85aa576-f755-4b5d-b8d7-b06c862cd0e0 [^] failed with exception System.Net.WebException: Connection to remote server can not ... ---> System.Net.Sockets.SocketException: Ein Verbindungsversuch ist fehlgeschlagen, da die Gegenstelle nach einer bestimmten Zeitspanne nicht ordnungsgemäß reagiert hat, oder die hergestellte Verbindung war fehlerhaft, da der verbundene Host nicht reagiert hat 66.240.232.122:8003
 log4net:ERROR AppenderAttachedImpl: Failed to append to appender [Console]


and a .oar is created but everytime the same size but i can not load this oar.
the console wont log and gives information (much better now) ..

i/we (that means more user from germany) have ping times around 188 ms ..
to assets.osgrid.org

Routenverfolgung zu assets.osgrid.org [66.240.232.122] über maximal 30 Abschnitte:

  1 <1 ms * <1 ms speedport.ip [192.168.2.1]
  2 19 ms * 19 ms 217.0.119.195
  3 19 ms * 19 ms 217.0.89.66
  4 26 ms * 26 ms 217.239.40.230
  5 27 ms * 27 ms 194.25.208.154
  6 30 ms * 36 ms vlan79.csw2.Frankfurt1.Level3.net [4.68.23.126]
  7 27 ms * 27 ms ae-72-72.ebr2.Frankfurt1.Level3.net [4.69.140.21]
  8 115 ms 114 ms 115 ms ae-42-42.ebr2.Washington1.Level3.net [4.69.137.54]
  9 123 ms 125 ms 126 ms ae-82-82.csw3.Washington1.Level3.net [4.69.134.154]
 10 115 ms 123 ms 126 ms ae-81-81.ebr1.Washington1.Level3.net [4.69.134.137]
 11 129 ms 130 ms 140 ms ae-2.ebr3.Atlanta2.Level3.net [4.69.132.85]
 12 194 ms 182 ms 182 ms ae-7.ebr3.Dallas1.Level3.net [4.69.134.21]
 13 186 ms 183 ms 195 ms ae-73-73.csw2.Dallas1.Level3.net [4.69.136.158]
 14 189 ms 197 ms 197 ms ae-72-72.ebr2.Dallas1.Level3.net [4.69.136.141]
 15 332 ms 208 ms 207 ms ae-4-4.car2.SanDiego1.Level3.net [4.69.133.213]
 16 184 ms 183 ms 183 ms ae-11-11.car1.SanDiego1.Level3.net [4.69.133.209]
 17 183 ms 183 ms 183 ms BANDCON.car1.SanDiego1.Level3.net [4.53.120.34]
 18 187 ms 187 ms 187 ms 216.98.153.78
 19 188 ms 188 ms 187 ms fc8232122.aspadmin.net [66.240.232.122]

more tracert / pings in the uploaded logs (there is also an example from 2 hours ago with ping times of only 30ms (to the ip 62.157.140.133 )
...

hope this helps
best regards
Word

now 1 hour later it works ..



22:39:46 - [ASSET CACHE]: Cache Get :: 6853244c-c947-41ce-82df-6833a8080c9b :: Hit
22:39:46 - [ASSET CACHE]: File Hit Rate 41.88% for 800 requests
22:39:46 - [ASSET CACHE]: Memory Hit Rate 57.38% for 800 requests
22:39:46 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:39:46 - [ASSET CACHE]: Cache Get :: 06bce668-c6a4-4471-bb9c-bdf0c49cb8ee :: Hit
22:39:46 - [ASSET CACHE]: File Hit Rate 38.33% for 900 requests
22:39:46 - [ASSET CACHE]: Memory Hit Rate 61.00% for 900 requests
22:39:46 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:39:46 - [ARCHIVER]: 389 scene objects to serialize requiring save of 451 assets
22:39:46 - [ARCHIVER]: AssetsRequest executed looking for 452 assets
22:39:46 - [ASSET CACHE]: Cache Get :: bed3a758-23f6-466a-8148-fcd78a71cdd1 :: Hit
22:39:46 - [ASSET CACHE]: File Hit Rate 40.90% for 1000 requests
22:39:46 - [ASSET CACHE]: Memory Hit Rate 58.50% for 1000 requests
22:39:46 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:39:46 - [ASSET CACHE]: Cache Get :: 07d2f8eb-38e2-4674-874f-5b1779a5b459 :: Hit
22:39:46 - [ASSET CACHE]: File Hit Rate 42.82% for 1100 requests
22:39:46 - [ASSET CACHE]: Memory Hit Rate 56.64% for 1100 requests
22:39:46 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:39:46 - [ASSET CACHE]: Cache Get :: cd450100-89b0-4562-b654-0fbd3dc6d68d :: Hit
22:39:46 - [ASSET CACHE]: File Hit Rate 44.67% for 1200 requests
22:39:46 - [ASSET CACHE]: Memory Hit Rate 54.83% for 1200 requests
22:39:46 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:39:47 - [ASSET CACHE]: Cache Get :: 62c6a062-cf35-c39d-5378-dcb970a84ee0 :: Hit
22:39:47 - [ASSET CACHE]: File Hit Rate 44.15% for 1300 requests
22:39:47 - [ASSET CACHE]: Memory Hit Rate 55.38% for 1300 requests
22:39:47 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:40:24 - [ARCHIVER]: Added 50 assets to archive
22:40:26 - [ARCHIVER]: Added 100 assets to archive
22:40:26 - [ARCHIVER]: Added 150 assets to archive
22:40:27 - [ARCHIVER]: Added 200 assets to archive
22:40:27 - [ARCHIVER]: Added 250 assets to archive
22:40:27 - [ARCHIVER]: Added 300 assets to archive
22:40:27 - [ARCHIVER]: Added 350 assets to archive
22:40:27 - [ARCHIVER]: Added 400 assets to archive
22:40:27 - [ARCHIVER]: Added 450 assets to archive
22:40:27 - [ARCHIVER]: Successfully added 452 assets (0 assets notified missing)
22:40:27 - [ARCHIVER]: Creating archive file. This may take some time.
22:40:27 - [ARCHIVER]: Added control file to archive.
22:40:27 - [ARCHIVER]: Added region settings to archive.
22:40:27 - [ARCHIVER]: Added terrain information to archive.
22:40:28 - [ARCHIVER]: Added scene objects to archive.
22:40:28 - [ARCHIVER]: Finished writing out OAR for Spaceinvaders

####LOAD OAR

Region (Tidal Island R) # load oar spaceinvadersx.oar
22:42:21 - [ARCHIVER]: Loading archive to region Tidal Island R from spaceinvadersx.oar

22:43:03 - [HTTPSERVER]: HttpServer.HttpListener had an exception System.Net.Sockets.SocketException: Eine vorhandene Verbindung wurde vom Remotehost geschlossen

############
even stranger:
###########
22:46:58 - [TERRAIN]: File (terrains/Spaceinvaders.r32) loaded successfully
22:46:58 - [ARCHIVER]: Restored terrain terrains/Spaceinvaders.r32
22:46:58 - [ARCHIVER]: Restored 452 assets
22:46:58 - [ARCHIVER]: Clearing all existing scene objects
22:46:58 - [ARCHIVER]: Loading 389 scene objects. Please wait.
22:47:01 - [REGION DB]: Storing terrain revision r1244494021
22:47:01 - [ASSET CACHE]: Cache Get :: eb90c14d-5beb-4fa7-842a-9c454fbd9862 :: Hit
22:47:01 - [ASSET CACHE]: File Hit Rate 27.95% for 2100 requests
22:47:01 - [ASSET CACHE]: Memory Hit Rate 71.76% for 2100 requests
22:47:01 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:47:03 - [ASSET CACHE]: Cache Get :: dad73ad4-b8a5-4492-8463-40bdf6758517 :: Hit
22:47:03 - [ASSET CACHE]: File Hit Rate 26.68% for 2200 requests
22:47:03 - [ASSET CACHE]: Memory Hit Rate 73.05% for 2200 requests
22:47:03 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:47:07 - [ASSET CACHE]: Cache Get :: bfab98a2-1d61-4d4c-9275-086e2508c58e :: Hit
22:47:07 - [ASSET CACHE]: File Hit Rate 25.52% for 2300 requests
22:47:07 - [ASSET CACHE]: Memory Hit Rate 74.22% for 2300 requests
22:47:07 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:47:08 - [ASSET CACHE]: Cache Get :: af07f6e5-9313-45b9-9ac3-fd6460b42930 :: Hit
22:47:08 - [ASSET CACHE]: File Hit Rate 24.46% for 2400 requests
22:47:08 - [ASSET CACHE]: Memory Hit Rate 75.29% for 2400 requests
22:47:08 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:47:10 - [ASSET CACHE]: Cache Get :: 4cf17d1a-5840-4f82-8274-809125fbda4c :: Hit
22:47:10 - [ASSET CACHE]: File Hit Rate 23.48% for 2500 requests
22:47:10 - [ASSET CACHE]: Memory Hit Rate 76.28% for 2500 requests
22:47:10 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:47:10 - [ARCHIVER]: Restored 389 scene objects to the scene
22:47:10 - [ARCHIVER]: Successfully loaded archive

and its online ... this time it worked .. even with errors in the console .. (on the at least 40 try) ... but it worked .. also with a ping arouns 180 ms ..

and again just 2 minutes later it wont work ..

(0012092)
WordfromtheWise (reporter)
2009-06-10 11:40

today it seems to save my oars .. but a quick test (saving the same sim with two different names) results in different file sizes .. and
while trying to restore those oars from sqllite to mysql i receive followin error :

Region (New Judyka) # load oar newjudyka.oar
20:30:40 - [ARCHIVER]: Loading archive to region New Judyka from newjudyka.oar
20:31:38 - [ARCHIVER]: Aborting load with error in archive file archive.xml. MySql.Data.MySqlClient.MySqlException: Data too long for column 'loaded_creation_date' at row 1
20:31:38 - [RegionReady]: Oar file load errors: MySql.Data.MySqlClient.MySqlException: Data too long for column 'loaded_creation_date' at row 1
Region (New Judyka) #

and the oar is not restored ...

but restoring back to mysql .. it works

the mysql is a standard MYSQL installation .. with an empty databse ...
all rights and all that is ok (or at least after an empty startup not changed
in any way ...
(0012117)
justincc (administrator)
2009-06-12 07:08

@zauber - looks like there are multiple save attempts in your error information. However, I probably need to go and tighten up the close of the save stream if there are problems (which is what triggered one of your exceptions). The other web connect exception was caused by an asset server connection problem.

@jfhopkin - Looks like one of the assets somehow got corrupts so XML deserialization failed. You might want to try the save again. If the problem is persistent then the asset data itself is probably corrupt.

@Fredo - This failure is caused by the asset server returning assets after a 60 second timeout. This needs further thought - it might be down to an osgrid issue if you are running on there. The other excception was a small bug caused by extraneous processing on timeout - r9851 corrects this.

@WordfromtheWise - Your initial saving problems are also caused by poor asset server response, which is why it worked intermittently. Other false exceptions confuse the matter, again r9851 corrects this. The load problems require me to do a bit more investigation.
(0012118)
justincc (administrator)
2009-06-12 07:09

Are any of the people still having issues experience them on their own private grid? Or do all these problems occur when connected to osgrid?
(0012119)
justincc (administrator)
2009-06-12 07:25

@WordfromtheWise - Any chance you could untar the oar and post the archive.xml found in the root? Alternatively, you could make the whole oar available somewhere for me to download.
(0012120)
WWWench (reporter)
2009-06-12 11:41

I have same issue as @WordfromWise.. loading to MySql
oar loads fine on Lite.. archive.xml

<?xml version="1.0" encoding="utf-16"?>
<archive major_version="0" minor_version="2">
  <creation_info>
    <date>Friday, June 12, 2009</date>
    <time>1:04:28 AM</time>
    <id>e1124787-daf1-4bf0-8846-0611443e3214</id>
  </creation_info>
</archive>

r9841, Win/Net 3.5, MySql 5.1, hosted
(0012122)
justincc (administrator)
2009-06-12 13:00

Thanks WWWench, that was exactly the information I needed. This problem should go away in r9859.
(0012130)
jfhopkin (reporter)
2009-06-13 02:51
edited on: 2009-06-13 02:51

Thanks, Justin - r9801 now, saves without errors. The error was persistent, but now seems to be cured. All seems to be working with saving OARs.

(0012138)
NZ-Simpy (reporter)
2009-06-13 20:44
edited on: 2009-06-13 21:01

Well I just tried 9801 and it failed specularity....

It not only dumped me from the region back to command prompt but killed the region as well....

(0012154)
WordfromtheWise (reporter)
2009-06-15 12:19

@JustinCC .. i try to contact you tomorrow at the Developer meeting and provide links for you ..
(0012162)
jfhopkin (reporter)
2009-06-16 08:01

Now on r9841, and still working fine. I've just noticed something that may have been true earlier - that saving oars is astonishingly fast. Backing up 7 regions used to take the best part of an hour, and now it's just over a minute. A brief inspection of file sizes, tar listings, etc, indicates that the backups are nevertheless complete.

Maybe that's to do with changes to OSGrid's asset service; I'm not complaining!
(0012165)
WordfromtheWise (reporter)
2009-06-16 13:57

now on r9841 ..


[12:38] Wordfromthe Wise: Region (Spaceinvaders) # save oar spaceinvaders.oar
22:38:28 - [ARCHIVER]: Writing archive for region Spaceinvaders to spaceinvaders.oar
22:38:28 - [ASSET CACHE]: Cache Get :: 054790dc-11e7-4f70-be96-0c13b239c44e :: Hit
22:38:28 - [ASSET CACHE]: File Hit Rate 99.13% for 800 requests
22:38:28 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:38:28 - [ASSET CACHE]: Cache Get :: 403ebe74-55b5-80c6-907e-4a0e1aa56ebc :: Hit
22:38:28 - [ASSET CACHE]: File Hit Rate 99.22% for 900 requests
22:38:28 - [ASSET CACHE]: 0 unnessesary requests due to requests for assets that are currently downloading.
22:38:30 - [ARCHIVER]: 389 scene objects to serialize requiring save of 451 assets
22:38:30 - [ARCHIVER]: AssetsRequest executed looking for 452 assets
22:38:30 - [ASSET CACHE]: Cache Get :: c9262bb5-d371-732d-1db4-09a6d4a9f0c7 :: Hit
22:38:30 - [ASSET CACHE]: File Hit Rate 98.90% for 1000 requests
22:38:30 - [ASSET CACHE]: 0 unnessesary requests due to requests
[12:39] Wordfromthe Wise: 22:38:30 - [ARCHIVER]: Added 50 assets to archive
22:38:31 - [ARCHIVER]: Added 100 assets to archive
22:38:32 - [ARCHIVER]: Added 150 assets to archive
22:38:32 - [ARCHIVER]: Added 200 assets to archive
22:38:32 - [ARCHIVER]: Added 250 assets to archive
22:38:32 - [ARCHIVER]: Added 300 assets to archive
22:38:43 - [ARCHIVER]: Added 350 assets to archive
22:39:03 - [ARCHIVER]: Added 400 assets to archive
22:39:15 - [ARCHIVER]: Added 450 assets to archive
22:39:16 - [ARCHIVER]: Successfully added 452 assets (0 assets notified missing)
22:39:19 - [ARCHIVER]: Creating archive file. This may take some time.
22:39:19 - [ARCHIVER]: Added control file to archive.
22:39:19 - [ARCHIVER]: Added region settings to archive.
22:39:19 - [ARCHIVER]: Added terrain information to archive.
22:39:20 - [ARCHIVER]: Added scene objects to archive.
22:39:20 - [ARCHIVER]: Finished writing out OAR for Spaceinvaders
[12:39] Wordfromthe Wise: = 40 MB File

this is a success 1 time out of 10 .. and just after this another sim .. wont work .. again timeouts with error Host is not responding 66.240.232.122:8003

Request GET http://assets.osgrid.org:8003/assets/39f6f0b8-845f-49f9-9433-b73367674742 [^] failed with exception System.Net.WebException:

AssetRequestCallback failed with System.ObjectDisposedException: can not write to a closed stream

 Asset service failed to return information about 1 requested assets
 No information about asset b1ce551b-c67b-4bd5-977c-a97d5f44a3fc received
 OAR save aborted.

TRYING TO LOAD THE OAR :

 Oar file load errors: MySql.Data.MySqlClient.MySqlException: Data too long for column 'loaded_creation_date' at row 1

.... i keep you updated ...

best regards
Word
(0012251)
WordfromtheWise (reporter)
2009-06-23 15:22

YEAH !! .. finally with your new asset server .. i could backup from sqlite and even restore to MYSQL .. praise the Gridgods!! everybody repeats .. Praise the Gridgods!! and this with unchanged specs (version .8401 windows xp)
(0013792)
justincc (administrator)
2009-10-09 08:07

Appears to be resolved now.

- Issue History
Date Modified Username Field Change
2009-05-29 22:34 BlueWall New Issue
2009-05-29 22:34 BlueWall SVN Revision => 9603
2009-05-29 22:34 BlueWall Run Mode => Grid (Multiple Regions per Sim)
2009-05-29 22:34 BlueWall Physics Engine => ODE
2009-05-29 22:34 BlueWall Environment => Unknown
2009-05-29 22:34 BlueWall Mono Version => Other
2009-05-30 22:12 thomax Note Added: 0011785
2009-05-30 22:15 thomax Note Edited: 0011785
2009-05-30 22:20 thomax Note Added: 0011786
2009-05-30 22:20 thomax Status new => feedback
2009-05-31 00:01 NZ-Simpy Note Added: 0011787
2009-05-31 07:32 LynMimistrobell Note Added: 0011794
2009-05-31 07:32 LynMimistrobell Status feedback => confirmed
2009-05-31 17:07 jfhopkin Note Added: 0011804
2009-05-31 17:08 jfhopkin Note Added: 0011805
2009-05-31 17:09 jfhopkin Note Deleted: 0011805
2009-06-01 01:33 LynMimistrobell Note Added: 0011821
2009-06-01 04:42 jfhopkin Note Edited: 0011804
2009-06-01 08:49 justincc Status confirmed => assigned
2009-06-01 08:49 justincc Assigned To => justincc
2009-06-01 09:03 justincc Status assigned => resolved
2009-06-01 09:03 justincc Resolution open => fixed
2009-06-01 09:03 justincc Note Added: 0011829
2009-06-01 09:45 LynMimistrobell Status resolved => feedback
2009-06-01 09:45 LynMimistrobell Resolution fixed => reopened
2009-06-01 09:45 LynMimistrobell Note Added: 0011833
2009-06-01 10:28 BlueWall Note Added: 0011835
2009-06-01 10:43 justincc Note Added: 0011838
2009-06-01 11:40 thomax Note Added: 0011841
2009-06-01 11:45 thomax Note Edited: 0011841
2009-06-01 12:04 justincc Note Added: 0011842
2009-06-01 12:32 BlueWall Note Added: 0011846
2009-06-01 12:36 BlueWall Note Edited: 0011846
2009-06-01 12:52 LynMimistrobell Note Added: 0011847
2009-06-01 16:07 jfhopkin Note Added: 0011853
2009-06-01 16:16 jfhopkin Note Edited: 0011853
2009-06-02 00:57 LynMimistrobell Note Added: 0011860
2009-06-02 13:57 FredoChaplin Note Added: 0011878
2009-06-03 22:03 WWWench Note Added: 0011933
2009-06-03 22:23 BlueWall Note Added: 0011934
2009-06-04 00:33 WWWench Note Edited: 0011933
2009-06-05 06:22 Zauber Note Added: 0011995
2009-06-05 09:18 justincc Status feedback => resolved
2009-06-05 09:18 justincc Resolution reopened => fixed
2009-06-05 09:18 justincc Note Added: 0012002
2009-06-05 09:43 justincc Note Added: 0012003
2009-06-05 09:44 justincc Note Edited: 0012003
2009-06-05 10:08 nebadon Note Added: 0012004
2009-06-05 10:08 nebadon Status resolved => confirmed
2009-06-05 10:45 BlueWall Note Added: 0012005
2009-06-05 10:59 thomax Note Added: 0012006
2009-06-05 11:35 LynMimistrobell Note Added: 0012007
2009-06-05 12:22 justincc Note Added: 0012009
2009-06-05 12:23 justincc Note Added: 0012010
2009-06-05 12:26 justincc Note Added: 0012011
2009-06-05 12:34 user903 Checkin
2009-06-05 12:34 user903 Note Added: 0012012
2009-06-05 12:34 justincc Note Added: 0012013
2009-06-05 13:55 nebadon Status confirmed => resolved
2009-06-05 13:55 nebadon Note Added: 0012014
2009-06-06 01:24 RetroDan Status resolved => feedback
2009-06-06 01:24 RetroDan Resolution fixed => reopened
2009-06-06 01:24 RetroDan Note Added: 0012016
2009-06-06 01:27 thomax Note Added: 0012017
2009-06-06 06:17 Zauber File Added: Error.txt
2009-06-06 06:18 Zauber Note Added: 0012025
2009-06-06 06:22 Zauber Note Edited: 0012025
2009-06-06 06:24 jfhopkin File Added: jfhopkin.OAR.error.txt
2009-06-06 06:29 jfhopkin Note Added: 0012026
2009-06-08 00:40 FredoChaplin Note Added: 0012051
2009-06-08 00:41 FredoChaplin File Added: Fredos.log
2009-06-08 00:42 FredoChaplin Note Edited: 0012051
2009-06-08 12:58 WordfromtheWise File Added: wordfromthewise_mantis.rtf
2009-06-08 13:04 WordfromtheWise Note Added: 0012057
2009-06-08 13:09 WordfromtheWise Note Edited: 0012057
2009-06-08 13:11 WordfromtheWise Note Edited: 0012057
2009-06-08 13:45 WordfromtheWise Note Edited: 0012057
2009-06-08 13:54 WordfromtheWise Note Edited: 0012057
2009-06-10 11:40 WordfromtheWise Note Added: 0012092
2009-06-12 07:08 justincc Note Added: 0012117
2009-06-12 07:09 justincc Note Added: 0012118
2009-06-12 07:25 justincc Note Added: 0012119
2009-06-12 11:41 WWWench Note Added: 0012120
2009-06-12 13:00 justincc Note Added: 0012122
2009-06-13 02:51 jfhopkin Note Added: 0012130
2009-06-13 02:51 jfhopkin Note Edited: 0012130
2009-06-13 20:44 NZ-Simpy Note Added: 0012138
2009-06-13 21:01 NZ-Simpy Note Edited: 0012138
2009-06-15 12:19 WordfromtheWise Note Added: 0012154
2009-06-16 08:01 jfhopkin Note Added: 0012162
2009-06-16 13:57 WordfromtheWise Note Added: 0012165
2009-06-23 15:22 WordfromtheWise Note Added: 0012251
2009-09-22 11:13 Fly-Man- Relationship added child of 0004173
2009-10-09 08:07 justincc Status feedback => closed
2009-10-09 08:07 justincc Note Added: 0013792
2009-10-09 08:07 justincc Resolution reopened => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker